| Qore QUnit Module Reference 0.4.3

Public Member Functions | List of all members
QUnit::TestResultFailure Class Reference

Class representing test function failure, both unspecific and with detail. More...

Inheritance diagram for QUnit::TestResultFailure:
[legend]

## Public Member Functions
| constructor ()
| Instantiate an unspecific failure, no detail.
| constructor (string s)
| Instantiate an annotated failure, string detail.
bool | equals (QUnit::AbstractTestResult r)
| Equality operator.

## Detailed Description

Class representing test function failure, both unspecific and with detail.